Subject: [Govpn-devel] Invalid server's random number

From: Bruno Clermont <[email-masked]>
Date: Thu, 20 Oct 2016 00:00:20 +0800

Hello,

I’m using GoVPN between 2 Linux hosts, it worked once and then I can’t bring a connection up anymore, I get the following error:

handshake.go:290: Invalid server's random number with $PEER

I did my homework, even spent some time trying to figure why looking at the code. But that function is quite cryptic to me.

So, what this error mean? What cause this? How to fix?

Bonus question: could it be very hard to add support for tun interface instead of tap?

Thanks for GoVPN!